@import "./../../common/base.css";
@import "./../../common/a11y.css";

body {
  margin: 50px;
}

input,
button,
textarea,
select {
  font: inherit;
}

/* 로고 컴포넌트 */
.brand {
  margin: 0;
  font-size: 1em;
  font-weight: 400;

  a,
  svg {
    display: block;
  }
}

/* 검색 버튼 컴포넌트 */
.button--icon-circle {
  border: 0;
  padding: 0;
  background-color: transparent;

  svg {
    display: block;
  }
}

/* input(search) 컴포넌트 */
.search {
  --placeholder-text-color: #ccc;
  --text-color: #121212;

  .search__input {
    inline-size: 100%;
    border: 0;
    block-size: 1.25rem;
    padding: 0.125rem 0.25rem;

    &::placeholder {
      color: var(--placeholder-text-color);
    }
  }
}

/* 검색바 컴포넌트 */
.search-bar {
  --container-size: 285px;
  --green: #03cc5c;
  --border-color: var(--green);

  border: 1px solid var(--border-color);
  border-radius: 50px;
  padding: 12px 12px 12px 20px;
  min-inline-size: var(--container-size);

  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  gap: 48px;

  &:focus-within {
    box-shadow: 0px 4px 4px 0px rgba(68, 131, 63, 0.15);
  }

  .brand {
    flex: 0 0 auto;
  }

  .search-form {
    display: contents;

    .search {
      flex: 1;
    }

    button {
      flex: 0 0 auto;
    }
  }
}
